// Plik app/scripts/main.js, który definiuje konfigurację RequireJS.
require.config({
  paths: {
    angular: 'vendor/angular.min',
    jquery: 'vendor/jquery',
    domReady: 'vendor/domReady'
  },
  shim: {
    angular: {
      deps: [ 'jquery'],
      exports: 'angular'
    }
  }
});

require([
  'angular',
  'app',
  'domReady',
  'services/userService',
  'controllers/rootController',
  'directives/ngbkFocus'
  // Wszystkie pliki poszczególnych kontrolerów, usług, dyrektyw lub filtrów
  // dodawane do aplikacji muszą być tutaj wymienione
],
  function (angular, app, domReady) {
    'use strict';
    app.config(['$routeProvider',
      function($routeProvider) {
        $routeProvider.when('/', {
          templateUrl: 'views/root.html',
          controller: 'RootCtrl'
        });
      }
    ]);
    domReady(function() {
      angular.bootstrap(document, ['MyApp']);

      // Poniższe polecenie jest wymagane, jeżeli mają działać testy scenariuszy AngularJS.
      $('html').addClass('ng-app: MyApp');
    });
  }
);
